<?php

namespace Litecms\Test;

use User;

class Test
{
    /**
     * $test object.
     */
    protected $test;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Test\Interfaces\TestRepositoryInterface $test)
    {
        $this->test = $test;
    }

    /**
     * Returns count of test.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.test.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->test->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\TestUserCriteria());
        }

        $test = $this->test->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('test::' . $view, compact('test'))->render();
    }
}
