<?php

namespace Litecms\Test\Workflow;

use Litecms\Test\Models\Test;
use Litecms\Test\Notifications\TestWorkflow as TestNotifyer;
use Notification;

class TestNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Test $test
     *
     * @return void
     */
    public function complete(Test $test)
    {
        return Notification::send($test->user, new TestNotifyer($test, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Test $test
     *
     * @return void
     */
    public function verify(Test $test)
    {
        return Notification::send($test->user, new TestNotifyer($test, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Test $test
     *
     * @return void
     */
    public function approve(Test $test)
    {
        return Notification::send($test->user, new TestNotifyer($test, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Test $test
     *
     * @return void
     */
    public function publish(Test $test)
    {
        return Notification::send($test->user, new TestNotifyer($test, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Test $test
     *
     * @return void
     */
    public function archive(Test $test)
    {
        return Notification::send($test->user, new TestNotifyer($test, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Test $test
     *
     * @return void
     */
    public function unpublish(Test $test)
    {
        return Notification::send($test->user, new TestNotifyer($test, 'unpublish'));;

    }
}
